Subject: Re: [Bier] I-D Action: draft-ietf-bier-mvpn-08.txt

From: Stig Venaas <[email-masked]>
Date: Wed, 8 Nov 2017 13:43:19 -0800

Hi

I agree it makes sense to include the BFR-id, but is there any reason
to still include the BFR-prefix?

BTW, in the text it says BFR-id and BFR-Prefix, but in figure 1 it
says BFIR-id and BFIR-Prefix. Also, in the text and the figure, it
says "-id" (lower case i), but "-Prefix" (upper case p).

Stig

On Mon, Oct 16, 2017 at 7:33 AM, Eric C Rosen <[email-masked]> wrote:
> This version does have a significant change.  After much discussion among
> the co-authors, it was decided to add the BFR-id to the PMSI Tunnel
> Attribute as part of the Tunnel Identifier field.  This simplifies the task
> of creating the appropriate BitString.  Please review and raise any
> objections.
>
>
>
>
> On 10/16/2017 10:22 AM, [email-masked] wrote:
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>> This draft is a work item of the Bit Indexed Explicit Replication WG of
>> the IETF.
>>
>>          Title           : Multicast VPN Using BIER
>>          Authors         : Eric C. Rosen
>>                            Mahesh Sivakumar
>>                            Sam K Aldrin
>>                            Andrew Dolganow
>>                            Tony Przygienda
>>         Filename        : draft-ietf-bier-mvpn-08.txt
>>         Pages           : 17
>>         Date            : 2017-10-16
>>
>> Abstract:
>>     The Multicast Virtual Private Network (MVPN) specifications require
>>     the use of multicast tunnels ("P-tunnels") that traverse a Service
>>     Provider's backbone network.  The P-tunnels are used for carrying
>>     multicast traffic across the backbone.  A variety of P-tunnel types
>>     are supported.  Bit Index Explicit Replication (BIER) is a new
>>     architecture that provides optimal multicast forwarding through a
>>     "multicast domain", without requiring intermediate routers to
>>     maintain any per-flow state or to engage in an explicit tree-building
>>     protocol.  This document specifies the protocol and procedures that
>>     allow MVPN to use BIER as the method of carrying multicast traffic
>>     over an SP backbone network.
>>
>>
>> The IETF datatracker status page for this draft is:
>>
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dbier-2Dmvpn_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=UIdAvge0hy7XWFxrYqTx_ejwARoY1dBAeOK7EH1YtDQ&s=h1i4by06AJaD3yTK6qGQYKBnotx-BQPD1bgcZSDtufA&e=
>>
>> There are also htmlized versions available at:
>>
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dbier-2Dmvpn-2D08&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=UIdAvge0hy7XWFxrYqTx_ejwARoY1dBAeOK7EH1YtDQ&s=oH61K4_CFB9MdBCkMyLzXJAxUmc2FPLkRiqZL-xgehs&e=
>>
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Dietf-2Dbier-2Dmvpn-2D08&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=UIdAvge0hy7XWFxrYqTx_ejwARoY1dBAeOK7EH1YtDQ&s=B0JehisOW6HCQyvXuKq1uBJXnAadfvJ6CEXyX6oMPZ4&e=
>>
>> A diff from the previous version is available at:
>>
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Dietf-2Dbier-2Dmvpn-2D08&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=UIdAvge0hy7XWFxrYqTx_ejwARoY1dBAeOK7EH1YtDQ&s=FWw0Hp4e_hVKLx6Vcb1AfefLFaIkTohO8dnEwc2tH3g&e=
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>>
>> https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_internet-2Ddrafts_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=UIdAvge0hy7XWFxrYqTx_ejwARoY1dBAeOK7EH1YtDQ&s=6tkJsY9LoNwC7PtJydxYu33E7b-WPut1cw-TOylEgP8&e=
>>
>> _______________________________________________
>> BIER mailing list
>> [email-masked]
>>
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_bier&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=-DXB84eU9m4cIlq2OOcCJCQQAwJXQQswyu3F0kG0VNo&m=UIdAvge0hy7XWFxrYqTx_ejwARoY1dBAeOK7EH1YtDQ&s=X4k55zF54lnoigBlFCm209mCrAMgPy8SgHKfTot-QdY&e=
>
>
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier

---

From: Eric C Rosen <[email-masked]>
Date: Thu, 9 Nov 2017 09:42:39 -0500

> to still include the BFR-prefix?

Yes.  Please see the second paragraph of section 2.1 and section 7 of 
RFC 5331.

> says BFIR-id and BFIR-Prefix.

The figure should use "BFR-id" and "BFR-prefix", since the PTA may occur 
in a Leaf A-D route, where the BFR-id is actually a BFER-id.
Fixed in the next revision.

> Also, in the text and the figure, it

During the RFC Editor's review of the architecture draft, many such 
capitalization inconsistencies were pointed out.  The agreed upon fix is 
to use "BFR-id" and "BFR-prefix".  Fixed in the next revision.

---

From: Stig Venaas <[email-masked]>
Date: Thu, 9 Nov 2017 12:50:58 -0800

Hi

On Thu, Nov 9, 2017 at 6:42 AM, Eric C Rosen <[email-masked]> wrote:
> Yes.  Please see the second paragraph of section 2.1 and section 7 of RFC
> 5331.

I see, thanks! I was a bit too quick there.

Stig